#pragma once

#include <functional>
#include <string>

#include "qthing_legacy.hpp"

namespace qthing {

#ifndef QTHING_HIDE_PRIVATE_API

using string_callback_t = std::function<void(const std::string&)>;

void set_oled_log_callback(string_callback_t callback);

void update_wifi_connection_status(connection_status_t status);

void update_eth_connection_status(connection_status_t status);

void update_mqtt_connection_status(connection_status_t status);

#endif

}  // namespace qthing
