#pragma once

#include "device_config.h"
#include "environment.h"

#define STATUS_TOPIC DEVICE_NAMESPACE "status"
#define STATUS_MESSAGE_ONLINE "online"
#define STATUS_MESSAGE_OFFLINE "offline"

#ifdef ENVIRONMENT_NAMESPACE
#define DEVICE_NAMESPACE ENVIRONMENT_NAMESPACE "device/" DEVICE_NAME "/"
#else
#define DEVICE_NAMESPACE "device/" DEVICE_NAME "/"
#endif

#define FIRMWARE_COMMAND_TOPIC DEVICE_NAMESPACE "command"

#define OTA_FIRMWARE_TOPIC DEVICE_NAMESPACE "ota/$firmware"
#define OTA_PROGRESS_TOPIC DEVICE_NAMESPACE "ota/progress"
#define OTA_STATE_TOPIC DEVICE_NAMESPACE "ota/state"
#define OTA_ERROR_TOPIC DEVICE_NAMESPACE "ota/error"
