#pragma once

#include "qthing_legacy.hpp"

namespace qthing {

void enable_wifi();
connection_status_t get_wifi_connection_status();
void add_wifi_connection_status_callback(connection_status_callback_t callback);
void add_combined_mqtt_connection_status_callback(connection_status_callback_t handler);

void enable_ethernet_lan8720();
connection_status_t get_eth_connection_status();
void add_eth_connection_status_callback(connection_status_callback_t callback);

connection_status_t get_network_connection_status();
void add_network_connection_status_callback(connection_status_callback_t callback);

#ifndef QTHING_HIDE_PRIVATE_API

void start_network_clients();
void initialize_network();

#endif

}  // namespace qthing
